<?php
class boilerplate_dashboard extends wv46v_action {
	function initWPaction()
	{
		add_filter('manage_edit-dcoda_boilerplate_columns' , array($this,'set_edit_book_columns'));
	}
	function set_edit_book_columns($columns) {
  			$date = $columns['date'];
            unset($columns['date']);
            $columns['shortcode']='Shortcode';
            $columns['usedin']='Used In';
            $columns['date']=$date;
   	 		return $columns;
 	}
	function manage_pages_custom_columnWPaction( $column ) {
		global $post;
		switch ( $column )
		{
			case 'usedin':
				echo $this->used_in($post->ID,$this->application()->slug,'plate');
				break;
			case 'shortcode':
				echo '['.$this->application()->slug.' '.get_page_uri($post->ID).']';
				break;			
		}
	}
	public function boilerplateactionsWPmenuMeta($return) {
		$return ['menu'] = 'Plates';
		$return ['title'] = 'Settings';
		$return ['slug'] = 'settings';
		return $return;
	}
	public function settingsActionMeta($return) {
		$return['title']="Settings";
		$return ['link_name'] = $return ['title'];
		$return ['classes'] [] = 'v46v_16x16_settings';
		$return ['priority'] = - 1;
		return $return;
	}
	public function settingsAction() {
		$this->view->title = $this->help('settings')->render('Settings');
		$this->view->column_count=3;
		$this->view->table_type='delete_list';
		$search_replace=$this->data()->post('search_replace');
		$this->view->columns = $this->render_script('settings/columns.phtml');
		$this->view->cnt=0;
		foreach($search_replace as $value)
		{
			
			$this->view->search=$value['search'];
			$this->view->replace=$value['replace'];
			$this->view->rows[] = $this->render_script('settings/row.phtml');
			$this->view->cnt++;
		}		
		$this->view->footer = $this->render_script('settings/footer.phtml');
		return $this->render_table();
	}
}