<?php
class boilerplate_actions extends wv46v_action {
	public function boilerplate_write_search_replaceWPfilter($return) {
		if($return['new']=='')
		{
			unset($return['new']);
		}
		foreach($return as $key=>&$value)
		{
			if(isset($value['delete']) || $value['search']=='')
			{
				unset($return[$key]);
			}
		}
		unset($value);
		return $return;
	}
	public function the_contentWPfilter($content) {
		return $this->marker ( 'Boilerplate', $content );
	}
	public function Boilerplate_Marker($match) {
		return apply_filters ( 'boilerplate_filter', $match );
	}
	private function pre_get_postsWPfilter($query) {
		$query->set ( 'post_type', array ('post', 'dcoda_boilerplate' ) );
		return $query;
	}
	public function initWPaction() {
		$labels = array ();
		$labels ['name'] = 'Plates';
		$labels ['singular_name'] = 'Plate';
		$labels ['all-items'] = 'Plates';
		$labels ['add_new'] = 'Add New';
		$labels ['add_new_item'] =  'Add New Plate';
		$labels ['edit_item'] = 'Edit Plate';
		$labels ['new_item'] = 'New Plate';
		$labels ['view_item'] = 'View Plate';
		$labels ['search_items'] = 'Search Plates';
		$labels ['not_found'] = 'No Plate found';
		$labels ['not_found_in_trash'] = 'No Plates found in Trash';
		$labels ['parent_item_colon'] = '';
		$labels ['menu_name'] = 'Plates';
		$args = array ();
		$args ['label'] = 'dcoda_boilerplate';
		$args ['labels'] = $labels;
		$args ['public'] = true;
		$args ['publicly_queryable'] = false;
		$args ['exclude_from_search'] = true;
		$args ['show_ui'] = true;
		$args ['show_in_menu'] = true;
		$args ['menu_position'] = 6;
		//$args ['menu_icon'] = ;
		$args ['capability_type'] = 'page';
		//$args ['capabilities'] = array();
		//$args ['map_meta_cap'] = array();
		$args ['hierarchical'] = true;
		$args ['supports'] = array ('title', 'editor' ,'page-attributes','revisions');
		//$args ['register_meta_box_cb'] = ;
		//$args ['taxonomies'] = true;
		//$args ['permalink_epmask'] = true;
		$args ['has_archive'] = false;
		//$args ['rewrite'] = array ('slug' => 'plate' );
		//$args ['query_var'] = true;
		//$args ['show_in_nav_menus'] = true;
		register_post_type ( 'dcoda_boilerplate', $args );
		add_action ( 'boilerplate', array ($this, 'boilerplate' ), 10, 1 );
		add_filter ( 'boilerplate_filter', array ($this, 'boilerplate' ), 10, 1 );
	}
	public function boilerplate($args) {
		$this->check = 10;
		return $this->doBoilerplate_Marker ( $args );
	}
	// rewrite to use get_page_by_title
	public function get_by_title($post_title) {
		global $wpdb;
		$return = null;
		$post = $wpdb->get_var ( $wpdb->prepare ( "SELECT ID FROM $wpdb->posts WHERE post_title = %s AND post_type='dcoda_boilerplate'", $post_title ) );
		if ($post) {
			$return = get_post ( $post );
		}
		return $return;
	}
	public function doBoilerplate_Marker($args) {
		$echo = false;
		if (is_string ( $args )) {
			$tagc = bv46v_tag::instance ();
			$args = array ('attributes' => $tagc->attributes ( $args ) );
			$echo = true;
		}
		// lecacy remove in future versions.
		if (isset ( $args ['attributes'] ['usequery'] )) {
			$args ['attributes'] += $_GET;
		}
		$plate_blog=null;
		// legacy remove in future versions
		if (isset ( $args ['attributes'] ['plate_blog'] )) {
			$plate_blog=$args ['attributes'] ['plate_blog'];
		}
		elseif($this->data()->multisite['blog_id']!='')
		{
			$plate_blog = $this->data()->multisite['blog_id'];
		}
		$search_replace = array();
		$this->blogs()->swap($plate_blog);
		foreach($this->data()->search_replace as $value)
		{
			$search_replace[] = $value;
		}
		$this->blogs()->swap();		
		foreach($this->data()->search_replace as $value)
		{
			$search_replace[] = $value;
		}
		foreach($args ['attributes'] as $key=>$value)
		{
			if (! in_array ( $key, array ('plate', 'usequery','plate_blog' ) )) {
				if(!is_numeric($key))
				{
					$search_replace[]=array('search'=>$key,'replace'=>$value);
				}		
			}
		}
		$this->check --;
		$content = '';
		$plate = false;
		if (isset ( $args ['attributes'] ['plate'] )) {
			$plate = $args ['attributes'] ['plate'];
		}
		else
		{
			foreach($args['attributes'] as $key=>$value)
			{
				if(is_numeric($key))
				{
					$plate = $value;
				}
			}
		}
		if($plate!==false)
		{
			$this->blogs()->swap($plate_blog);
			//$plate = $this->get_by_title ( $args ['attributes'] ['plate'] );
			$plate = get_page_by_path($plate,OBJECT,'dcoda_boilerplate');
			if(null===$plate)
			{
				$plate = get_page_by_title($plate,OBJECT,'dcoda_boilerplate');
			}
			$this->blogs()->swap();
			if (null !== $plate) {
				$content = $plate->post_content;
				if ($this->check > 0) {
					$content = $this->marker ( 'Boilerplate', $content );
				}
				foreach ( $search_replace as $value ) {
					$content = str_replace ( $value['search'], $value['replace'], $content );
				}
			}
		}
		if ($echo) {
			echo $content;
		}
		return $content;
	}
	private $check = 10;
}