<?php
class boilerplate_tinymce extends wv46v_action {
	function mce_buttonsWPfilter($buttons) {
		array_push ( $buttons,  $this->application()->slug );
		return $buttons;
	}
	function mce_external_pluginsWPfilter($plugin_array) {
		$plugin_array ['v46v_tinymce'] = $this->application ()->pluginuri () . '/library/base/public/js/tinymce_register.js';
		return $plugin_array;
	}
	public function v46v_dataWPfilter($data)
	{
		$slug = $this->application()->slug;
		$data['tinymce']['cmds'][$slug]['file']= $this->control_url ( "{$this->application()->slug}/popup" );
		$data['tinymce']['cmds'][$slug]['width']= 570;
		$data['tinymce']['cmds'][$slug]['height']= 50;
		$data['tinymce']['cmds'][$slug]['inline']= 1;
		$data['tinymce']['cmds'][$slug]['always']= true;
		$data['tinymce']['buttons'][$slug]['image'] = $this->application ()->pluginuri () . '/library/base/public/images/16x16_page.png' ;
		$data['tinymce']['buttons'][$slug]['title'] = $this->application()->name ;
		$data['tinymce']['buttons'][$slug]['cmd'] = $slug; ;
		return $data;
	}
	public function popupWPpageMeta($return) {
		$return ['slug'] = $this->application()->slug.'/popup';
		return $return;
	}
	public function popupWPpage() {
		$this->view->title = 'Select Plate';
		$plate_blog = $this->data()->multisite['blog_id'];
		$this->blogs()->swap($plate_blog);
		$plates = $this->get_plates();
		$this->blogs()->swap();		
		$this->view->options = $this->options($plates);
		echo $this->render_script ( 'popups/single_select.phtml' );
	}
	private function get_plates($parent=0)
	{
		$sql = "
SELECT `post_name`,`ID` FROM `%s`
WHERE
	`post_type`='dcoda_boilerplate' AND
	`post_status` = 'publish' AND
	`post_parent` = %d
ORDER BY `menu_order`,`post_title`;
";
		$sql = sprintf($sql,$this->table('posts')->name(),$parent);
		$data = $this->table()->execute($sql);
		if(count($data)===0)
			return '';
		$return = array();
		foreach($data as $datum)
		{
			$return[$datum['post_name']]=$this->get_plates($datum['ID']);
		}
		return $return;
	}
}